/*****************************************************

        Plug n Play Library for Nokia 3310 LCD

        Author:  Ajay Bhargav
		Email :  contact@rickeyworld.info
		WWW   :  www.8051projects.net

		File  :  Nokia3310.C
		Info  :  Test Program to check working of
		         Library

edited bei Wawa

*****************************************************/
//     #include "lcd_1.h"
     #include "lcd.h"	
	#include "keypad.h"					 
	#include "lock.h"
   	#include "delay.h"

extern unsigned char input[4], userlock[4];
extern unsigned char code defaultulock[4],masterlock[5];
bit newlock=FALSE;
unsigned char retrycount=3;

void main(){
    unsigned char status,i=0;
//	lcd_init();
    initlcd();
	keypad_init();	   
   while(1){
        clearram();
		cursorxy(1,1);
    	putstr("Enterlock code");
/*    	lcd_cmd(LCD_CLS);
		lcd_str("Enter lock code");
		lcd_cmd(0xC0);
		lcd_data(LOCK);
		lcd_data(':');*/
again:
	    status = getinput(5);
		if (status==3)
		goto again;
	   if(check(input,"1234",4)){
				retrycount = 3;
				lockpin = 0;
				startpin = 0;
//Lockpin and Startpin default are not set - so when deactivating
//Lock, both pins will be GND for a moment to switch a relay
/*				lcd_cmd(LCD_CLS);
				lcd_data(OK);
				lcd_str(" Lock is");
				lcd_cmd(0xC0);
				lcd_str("deactivated!");
*/
				clearram();
				cursorxy(1,1);
				putstr("Enjoy");
				cursorxy(2,1);
				putstr("your ride!");
				delayms(250);
				delayms(250);
				delayms(250);
				delayms(250);
/*				lcd_cmd(LCD_CLS);
				lcd_str("Press '#' key to");
				lcd_cmd(0xC0);
				lcd_str("lock again!");
*/
				clearram();
				cursorxy(1,1);
				putstr("PLATZHALTER");
				cursorxy(2,1);
				putstr("look again!");
				delayms(250);
				delayms(250);
				delayms(250);
				delayms(250);
				delayms(250);
				delayms(250);
				startpin = 1;
				while(getkey()!=10);
				lockpin = 1;
/*				lcd_cmd(LCD_CLS);
				lcd_data(OK);
				lcd_str("Lock is active!");
*/
				cursorxy(1,1);
				putstr("Lock is active!");
			}
			else{
				retrycount--;
/*				lcd_cmd(LCD_CLS);
				lcd_data(EX);
				lcd_str(" Wrong Code!");
				lcd_cmd(0xC0);
				lcd_str("Tries left = ");
*/
				clearram();
				cursorxy(1,1);
				putstr(" Wrong Code!");
				cursorxy(2,1);
				putstr("Tries left = ");
				putchar('0'+retrycount);
//				lcd_data('0'+retrycount); 
				delayms(250);
				delayms(250);
				delayms(250);
				delayms(250);
				if(retrycount==0){
				blocked:
/*					lcd_cmd(LCD_CLS);
					lcd_data(EX);
					lcd_str("BLOCKED");
					lcd_data(EX);
					lcd_cmd(0xC0);
					lcd_data(LOCK);
					lcd_data(':');
*/
					clearram();
					cursorxy(1,1);
				    putstr("BLOCKED");
					status = getinput(10);
					if(check(input,masterlock,5)){
						retrycount=3;
/*						lcd_cmd(LCD_CLS);
						lcd_data(EX);
						lcd_str("UNBLOCKED");
						lcd_data(EX);
*/
						clearram();
						cursorxy(1,1);
				        putstr("UNBLOCKED");
						delayms(250);
						delayms(250);
						delayms(250);
						delayms(250);
					}
					else{
/*						lcd_cmd(LCD_CLS);
						lcd_data(EX);
						lcd_str("WRONG CODE");
						lcd_data(EX);
*/
						clearram();
						cursorxy(1,1);
				        putstr("WRONG CODE");
						delayms(250);
						delayms(250);
						delayms(250);
						delayms(250);
						goto blocked;
					}
				}
			}
		}
	}		
